package com.ruoyi.hywz.common.enums;

/**
 * @author: jxh
 * @description:
 * @create: 2024/4/15
 */
public enum MsgTemplateEnum {

    TMP_1(1, "%s,您有一个开票申请单待审核，请及时审批！【财务资金管控应用】"),
    TMP_2(2, "%s,您有一个开票申请单被退回，请及时处理！【财务资金管控应用】"),
    TMP_3(3, "%s,您有一个开票申请单已开票，请及时上传发票！【财务资金管控应用】"),
    TMP_4(4, "%s,您有一个开票申请单已上传发票，请及时接收确认！【财务资金管控应用】"),
    TMP_5(5, "%s,您有一个开票申请单已确认报账，请及时入账！【财务资金管控应用】");

    private final int idx;
    private final String msg;

    MsgTemplateEnum(int idx, String msg) {
        this.idx = idx;
        this.msg = msg;
    }

    public int getIdx() {
        return idx;
    }

    public String getMsg() {
        return msg;
    }

    public String getMsg(String username) {
        return String.format(this.msg, username);
    }

}
